Package uk.ac.starlink.vo

## Interface RegCapabilityInterface

-     public interface RegCapabilityInterface

  Describes a service capability interface belonging to a registry resource. This typically provides an access URL at which the service can be found, as well as some other metadata.

  This class conflates the concepts of Capability and Interface. In VOResource 1.0 the Capability:Interface relationship is one:many, but in practice it is, as far as I can see, nearly always one:one. In the case of finding an actual one:many relationship, we just use multiple RegCapabilityInterface objects all related to the same Capability.

  Since:
    17 Dec 2008
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAccessUrl​()` | Returns the access URL.
    `java.lang.String` | `getDescription​()` | Returns a textual description of this capability.
    `java.lang.String` | `getStandardId​()` | Returns the standard ID which defines what sort of service this capability is offering.
    `java.lang.String` | `getVersion​()` | Returns a version string associated with this capability.
    `java.lang.String` | `getXsiType​()` | Returns the xsi:type of this capability.

- - ### Method Detail

    - #### getAccessUrl

          java.lang.String getAccessUrl​()

      Returns the access URL.
      Returns:
        access URL

    - #### getStandardId

          java.lang.String getStandardId​()

      Returns the standard ID which defines what sort of service this capability is offering. Some popular values of this are given as public static members of this interface.
      Returns:
        standard ID identifier URI

    - #### getXsiType

          java.lang.String getXsiType​()

      Returns the xsi:type of this capability. This seems to provide similar information to that in the standardId, but these fields are used in different ways by different registries.
      Returns:
        capability/@xsi:type

    - #### getDescription

          java.lang.String getDescription​()

      Returns a textual description of this capability.
      Returns:
        description

    - #### getVersion

          java.lang.String getVersion​()

      Returns a version string associated with this capability.
      Returns:
        version

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.